import { Component , OnInit,Inject } from '@angular/core';

import {MatDialog, MAT_DIALOG_DATA} from '@angular/material';

export interface DialogData {
  user: 'user A' | 'user B' | 'user C';
}

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.css']
})
export class HomeComponent implements OnInit {

  title = 'Angular 7 Custom Modal';
  constructor(public dialog: MatDialog) { }

  ngOnInit() {
  }

  openDialog() {
    this.dialog.open(MainChatModalComponent, {
      data: {
        user: 'user A'
      }
    });
  }
  
}

@Component({
  selector: './main-chat-modal',
  templateUrl: './main-chat-modal.html',
})
export class MainChatModalComponent {
  constructor(@Inject(MAT_DIALOG_DATA) public data: DialogData) {}
}